Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5103)
@@ -229,5 +229,5 @@
         parameter (day_ini_sandu=15)  ! 196 = 15 juillet 2006
         real dt_sandu, tau_sandu
-        logical  :: trouve_700=.true.
+        logical  :: trouve_700=.TRUE.
         parameter (dt_sandu=6.*3600.)   ! forcages donnes ttes les 6 heures par ifa_sandu.txt
         parameter (tau_sandu=30000*3600.)  ! temps de relaxation u,v,thetal,qt vers profil init et au dessus 700hPa
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5103)
@@ -1,5 +1,5 @@
 
-        print*,'FORCING CASE forcing_case2'
-!       print*,                                                             &
+        PRINT*,'FORCING CASE forcing_case2'
+!       PRINT*,                                                             &
 !    & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/pdt_cas=',     &
 !    &    daytime,day1,(daytime-day1)*86400.,                               &
@@ -118,6 +118,6 @@
       do l = 1, llm
 ! Modif w_mod_cas -> omega_mod_cas (MM+MPL 20170309)
-	print*, l, llm
-	print*, play(l), temp(l)
+	PRINT*, l, llm
+	PRINT*, play(l), temp(l)
        omega(l) = -w_mod_cas(l)*play(l)*rg/(rd*temp(l))
       enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5103)
@@ -11,5 +11,5 @@
       nq2=0
 
-      print*,'FORCING ,forcing_SCM',forcing_SCM
+      PRINT*,'FORCING ,forcing_SCM',forcing_SCM
       if (forcing_SCM) then
 
@@ -17,5 +17,5 @@
          CALL read_SCM_cas
          write(*,*) 'Forcing read' 
-	 print*,'PS ps_cas',ps_cas
+	 PRINT*,'PS ps_cas',ps_cas
 
 !Time interpolation for initial conditions using interpolation routine
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1Dconv.h	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1Dconv.h	(revision 5103)
@@ -146,5 +146,5 @@
         external rdgrads    !lire en iterant dans forcing.dat
 !---------------------------------------------------------------------
-               print*,'le pas itap est:',itap
+               PRINT*,'le pas itap est:',itap
 !*** on determine le pas du meso_NH correspondant au nouvel itap ***
 !*** pour aller chercher les champs dans rdgrads                 ***
@@ -155,5 +155,5 @@
         temps = 1 + int((dt + 2*time)/(2*dt))
         pas=min(temps,pasmax-1)
-             print*,'le pas Meso est:',pas
+             PRINT*,'le pas Meso est:',pas
 
 
@@ -182,5 +182,5 @@
          print *, 'imp_fcg,ts_fcg,Turb_fcg,pas,nblvlm,icompt'
          print *, imp_fcg,ts_fcg,Turb_fcg,pas,nblvlm,icompt
-                       print*,'le pas pas est:',pas
+                       PRINT*,'le pas pas est:',pas
 !*** on va chercher les nouveaux champs after dans toga.dat     ***
 !*** champs en format meso_NH                                   ***
@@ -203,16 +203,16 @@
         endif  ! Turb_fcg
 
-               print*,'ht_mes ',(ht_mes(i),i=1,nblvlm)
-               print*,'hq_mes ',(hq_mes(i),i=1,nblvlm)
-               print*,'hw_mes ',(hw_mes(i),i=1,nblvlm)
+               PRINT*,'ht_mes ',(ht_mes(i),i=1,nblvlm)
+               PRINT*,'hq_mes ',(hq_mes(i),i=1,nblvlm)
+               PRINT*,'hw_mes ',(hw_mes(i),i=1,nblvlm)
                   if(imp_fcg) then
-               print*,'hu_mes ',(hu_mes(i),i=1,nblvlm)
-               print*,'hv_mes ',(hv_mes(i),i=1,nblvlm)
+               PRINT*,'hu_mes ',(hu_mes(i),i=1,nblvlm)
+               PRINT*,'hv_mes ',(hv_mes(i),i=1,nblvlm)
                   endif
                   if(Turb_fcg) then
-               print*,'hThTurb_mes ',(hThTurb_mes(i),i=1,nblvlm)
-               print*,'hqTurb_mes ',(hqTurb_mes(i),i=1,nblvlm)
+               PRINT*,'hThTurb_mes ',(hThTurb_mes(i),i=1,nblvlm)
+               PRINT*,'hqTurb_mes ',(hqTurb_mes(i),i=1,nblvlm)
                   endif
-          IF (ts_fcg) print*,'ts_subr', ts_subr
+          IF (ts_fcg) PRINT*,'ts_subr', ts_subr
 !*** on interpole les champs meso_NH sur les niveaux de pression***
 !*** gcm . on obtient le nouveau champ after                    ***
@@ -249,5 +249,5 @@
             pasprev=pas
          else ! pas.gt.pasprev
-            print*,'timebef est:',timebef
+            PRINT*,'timebef est:',timebef
          endif ! pas.gt.pasprev    fin du bloc relatif au passage au pas
                                   !de temps (meso) suivant
@@ -310,5 +310,5 @@
      &           ht,hq,hw,hu,hv,hThTurb,hqTurb,ts,                          &
      &           imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)
-             print*,'le pas itap est:',itap
+             PRINT*,'le pas itap est:',itap
 
 !===================================================================
@@ -330,19 +330,19 @@
       read(97,2000) aaa
  2000  format (a80)
-         print*,'aaa est',aaa
+         PRINT*,'aaa est',aaa
       aaa=spaces(aaa,1)
-         print*,'aaa',aaa
+         PRINT*,'aaa',aaa
       CALL getsch(aaa,' ',' ',5,atemps,nch)
-         print*,'atemps est',atemps
+         PRINT*,'atemps est',atemps
         atemps=atemps(1:nch-2)
-         print*,'atemps',atemps
+         PRINT*,'atemps',atemps
         read(atemps,*) imn
         dt=imn*60
-         print*,'le pas de temps dt',dt
+         PRINT*,'le pas de temps dt',dt
       CALL getsch(aaa,' ',' ',2,apasmax,nch)
         apasmax=apasmax(1:nch)
         read(apasmax,*) ipa
         pasmax=ipa
-         print*,'pasmax est',pasmax
+         PRINT*,'pasmax est',pasmax
       CLOSE(97)
 !------------------------------------------------------------------
@@ -379,15 +379,15 @@
           enddo
                endif ! Tp_fcg
-           print*,'ht_mes ',(ht_mes(i),i=1,nblvlm)
-           print*,'hq_mes ',(hq_mes(i),i=1,nblvlm)
-           print*,'hw_mes ',(hw_mes(i),i=1,nblvlm)
+           PRINT*,'ht_mes ',(ht_mes(i),i=1,nblvlm)
+           PRINT*,'hq_mes ',(hq_mes(i),i=1,nblvlm)
+           PRINT*,'hw_mes ',(hw_mes(i),i=1,nblvlm)
               if(imp_fcg) then
-           print*,'hu_mes ',(hu_mes(i),i=1,nblvlm)
-           print*,'hv_mes ',(hv_mes(i),i=1,nblvlm)
-           print*,'t',ts_subr
+           PRINT*,'hu_mes ',(hu_mes(i),i=1,nblvlm)
+           PRINT*,'hv_mes ',(hv_mes(i),i=1,nblvlm)
+           PRINT*,'t',ts_subr
               endif ! imp_fcg
               if(Turb_fcg) then
-                 print*,'hThTurb_mes ',(hThTurb_mes(i),i=1,nblvlm)
-                 print*,'hqTurb ',     (hqTurb_mes(i),i=1,nblvlm)
+                 PRINT*,'hThTurb_mes ',(hThTurb_mes(i),i=1,nblvlm)
+                 PRINT*,'hqTurb ',     (hqTurb_mes(i),i=1,nblvlm)
               endif ! Turb_fcg
 !----------------------------------------------------------------------
@@ -523,5 +523,5 @@
        do k = 1, klev
         play(k) = playgcm(k)
-        print*,'la pression gcm est:',play(k)
+        PRINT*,'la pression gcm est:',play(k)
        enddo
 
@@ -534,5 +534,5 @@
       CALL mesolupbis(file_forctl)
 
-      print*,'la valeur de nblvlm est:',nblvlm
+      PRINT*,'la valeur de nblvlm est:',nblvlm
 
 !----------------------------------------------------------------------
@@ -597,6 +597,6 @@
 
  100  backspace(lu)
-      print*,'  DESCRIPTION DES 2 MODELES : '
-      print*,' '
+      PRINT*,'  DESCRIPTION DES 2 MODELES : '
+      PRINT*,' '
 
       read(lu,2000) aaa
@@ -606,7 +606,7 @@
          read(anblvl,*) nblvlm
 
-      print*,'nbre de niveaux de pression Meso-NH :',nblvlm
-      print*,' '
-      print*,'pression en Pa de chaque couche du meso-NH :'
+      PRINT*,'nbre de niveaux de pression Meso-NH :',nblvlm
+      PRINT*,' '
+      PRINT*,'pression en Pa de chaque couche du meso-NH :'
 
       read(lu,*) (playm(mlz),mlz=1,nblvlm)
@@ -617,16 +617,16 @@
         enddo
       endif
-      print*,(playm(mlz),mlz=1,nblvlm)
+      PRINT*,(playm(mlz),mlz=1,nblvlm)
 
  1000 format (a4)
  1001 format(5x,i2)
 
-      print*,' '
+      PRINT*,' '
       do mlzh=1,nblvlm
       hplaym(mlzh)=playm(mlzh)/100.
       enddo
 
-      print*,'pression en hPa de chaque couche du meso-NH: '
-      print*,(hplaym(mlzh),mlzh=1,nblvlm)
+      PRINT*,'pression en hPa de chaque couche du meso-NH: '
+      PRINT*,(hplaym(mlzh),mlzh=1,nblvlm)
 
       close (lu)
@@ -659,5 +659,5 @@
             icomp=icomp+1
             read(itape,rec=icomp)hT(k)
-             print*, hT(k), k
+             PRINT*, hT(k), k
          enddo
          do k=1,nl
@@ -764,17 +764,17 @@
 !c      endif
 
-      print*,' '
-      print*,'         INTERPOLATION  : '
-      print*,' '
-      print*,'correspondance de 9 niveaux du GCM sur les 53 du meso-NH:'
-      print*,(JM(k),k=1,klev)
-      print*,'correspondance de 9 niveaux du GCM sur les 53 du meso-NH:'
-      print*,(JM(k),k=1,klev)
-      print*,' '
-      print*,'vals du premier coef d"interpolation pour les 9 niveaux: '
-      print*,(coef1(k),k=1,klev)
-      print*,' '
-      print*,'valeurs du deuxieme coef d"interpolation pour les 9 niveaux:'
-      print*,(coef2(k),k=1,klev)
+      PRINT*,' '
+      PRINT*,'         INTERPOLATION  : '
+      PRINT*,' '
+      PRINT*,'correspondance de 9 niveaux du GCM sur les 53 du meso-NH:'
+      PRINT*,(JM(k),k=1,klev)
+      PRINT*,'correspondance de 9 niveaux du GCM sur les 53 du meso-NH:'
+      PRINT*,(JM(k),k=1,klev)
+      PRINT*,' '
+      PRINT*,'vals du premier coef d"interpolation pour les 9 niveaux: '
+      PRINT*,(coef1(k),k=1,klev)
+      PRINT*,' '
+      PRINT*,'valeurs du deuxieme coef d"interpolation pour les 9 niveaux:'
+      PRINT*,(coef2(k),k=1,klev)
 
       return
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/conf_gcm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/conf_gcm.f90	(revision 5103)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/conf_gcm.f90	(revision 5103)
@@ -0,0 +1,1 @@
+link ../../dyn3d/conf_gcm.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h	(revision 5103)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h	(revision 5103)
@@ -0,0 +1,45 @@
+
+! $Id: fcg_racmo.h 2011-02-16 17:02:56Z cheruy $
+
+      real   :: a_guide 
+      logical :: ok_invertp 
+      integer :: forc_trb
+      character*31 :: fich_racmo
+
+      common /fcg_racmo/forc_trb,ok_invertp,a_guide,fich_racmo
+
+!$OMP THREADPRIVATE(/fcg_racmo/)
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90	(revision 5103)
@@ -1,3 +1,2 @@
-
 ! $Id$
 
@@ -8,25 +7,25 @@
 
 
-   PROGRAM lmdz1d
+PROGRAM lmdz1d
+  USE ioipsl, ONLY: getin
+  IMPLICIT NONE
 
-   USE ioipsl, only: getin
+  INTEGER forcing_type
 
-   INTEGER forcing_type
+  CALL getin('forcing_type', forcing_type)
 
-   CALL getin('forcing_type',forcing_type)
+  IF (forcing_type==1000) THEN
+    CALL scm
+  ELSE
+    CALL old_lmdz1d
+  ENDIF
 
-   IF (forcing_type==1000) THEN
-           CALL scm
-   ELSE
-           CALL old_lmdz1d
-   ENDIF
-
-   END
+END
 
 
-#include "1DUTILS.h"
-#include "1Dconv.h"
-
-!#endif
+include "1DUTILS.h"
+include "1Dconv.h"
 
 
+
+
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5103)
@@ -62,7 +62,7 @@
 
       fich_amma='amma.nc'
-      print*,'fich_amma ',fich_amma
+      PRINT*,'fich_amma ',fich_amma
       ierr = nf90_open(fich_amma,nf90_nowrite,nid)
-      print*,'fich_amma,nf90_nowrite,nid ',fich_amma,nf90_nowrite,nid
+      PRINT*,'fich_amma,nf90_nowrite,nid ',fich_amma,nf90_nowrite,nid
       if (ierr/=nf90_noerr) then
          write(*,*) 'ERROR: GROS Pb opening forcings nc file '
@@ -73,11 +73,11 @@
       ierr=nf90_inq_dimid(nid,'lev',rid)
       IF (ierr/=nf90_noerr) THEN
-         print*, 'Oh probleme lecture dimension zz'
+         PRINT*, 'Oh probleme lecture dimension zz'
       ENDIF
       ierr=nf90_inquire_dimension(nid,rid,len=nlev_amma)
-      print*,'OK nid,rid,nlev_amma',nid,rid,nlev_amma
+      PRINT*,'OK nid,rid,nlev_amma',nid,rid,nlev_amma
 !.......................................................................
       ierr=nf90_inq_dimid(nid,'time',rid)
-      print*,'nid,rid',nid,rid
+      PRINT*,'nid,rid',nid,rid
       nt_amma=0
       IF (ierr/=nf90_noerr) THEN
@@ -85,5 +85,5 @@
       ENDIF
       ierr=nf90_inquire_dimension(nid,rid,len=nt_amma)
-      print*,'nid,rid,nlev_amma',nid,rid,nt_amma
+      PRINT*,'nid,rid,nlev_amma',nid,rid,nt_amma
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -123,6 +123,6 @@
         allocate(v_profamma(nlev_amma))
 
-        print*,'Allocations OK'
-        call read_amma(nid,nlev_amma,nt_amma                                  &
+        PRINT*,'Allocations OK'
+        CALL read_amma(nid,nlev_amma,nt_amma                                  &
        ,z_amma,plev_amma,th_amma,q_amma,u_amma,v_amma,vitw_amma         &
        ,ht_amma,hq_amma,sens_amma,lat_amma)
@@ -171,5 +171,5 @@
 
 !=====================================================================
-      subroutine read_amma(nid,nlevel,ntime                          &
+      SUBROUTINE read_amma(nid,nlevel,ntime                          &
        ,zz,pp,temp,qv,u,v,dw                   &
        ,dt,dq,sens,flat)
@@ -262,5 +262,5 @@
 
 !dimensions lecture
-!      call catchaxis(nid,ntime,nlevel,time,z,ierr)
+!      CALL catchaxis(nid,ntime,nlevel,time,z,ierr)
  
          ierr = nf90_get_var(nid,var3didin(1),zz)
@@ -342,5 +342,5 @@
 
          return 
-         end subroutine read_amma
+         END SUBROUTINE  read_amma
 !======================================================================
         SUBROUTINE interp_amma_time(day,day1,annee_ref                     &
@@ -384,16 +384,16 @@
 ! Check that initial day of the simulation consistent with AMMA case:
        if (annee_ref/=2006) then
-        print*,'Pour AMMA, annee_ref doit etre 2006'
-        print*,'Changer annee_ref dans run.def'
+        PRINT*,'Pour AMMA, annee_ref doit etre 2006'
+        PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
        if (annee_ref==2006 .and. day1<day_ini_amma) then
-        print*,'AMMA a débuté le 10 juillet 2006',day1,day_ini_amma
-        print*,'Changer dayref dans run.def'
+        PRINT*,'AMMA a débuté le 10 juillet 2006',day1,day_ini_amma
+        PRINT*,'Changer dayref dans run.def'
         stop
        endif
        if (annee_ref==2006 .and. day1>day_ini_amma+1) then
-        print*,'AMMA a fini le 11 juillet'
-        print*,'Changer dayref ou nday dans run.def'
+        PRINT*,'AMMA a fini le 11 juillet'
+        PRINT*,'Changer dayref ou nday dans run.def'
         stop
        endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5103)
@@ -92,7 +92,7 @@
 
       fich_cas='setup/cas.nc'
-      print*,'fich_cas ',fich_cas
+      PRINT*,'fich_cas ',fich_cas
       ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-      print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+      PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
       if (ierr/=nf90_noerr) then
          write(*,*) 'ERROR: GROS Pb opening forcings nc file '
@@ -103,25 +103,25 @@
       ierr=nf90_inq_dimid(nid,'lat',rid)
       IF (ierr/=nf90_noerr) THEN
-         print*, 'Oh probleme lecture dimension lat'
+         PRINT*, 'Oh probleme lecture dimension lat'
       ENDIF
       ierr=nf90_inquire_dimension(nid,rid,len=ii)
-      print*,'OK1 nid,rid,lat',nid,rid,ii
+      PRINT*,'OK1 nid,rid,lat',nid,rid,ii
 !.......................................................................
       ierr=nf90_inq_dimid(nid,'lon',rid)
       IF (ierr/=nf90_noerr) THEN
-         print*, 'Oh probleme lecture dimension lon'
+         PRINT*, 'Oh probleme lecture dimension lon'
       ENDIF
       ierr=nf90_inquire_dimension(nid,rid,len=jj)
-      print*,'OK2 nid,rid,lat',nid,rid,jj
+      PRINT*,'OK2 nid,rid,lat',nid,rid,jj
 !.......................................................................
       ierr=nf90_inq_dimid(nid,'lev',rid)
       IF (ierr/=nf90_noerr) THEN
-         print*, 'Oh probleme lecture dimension zz'
+         PRINT*, 'Oh probleme lecture dimension zz'
       ENDIF
       ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-      print*,'OK3 nid,rid,nlev_cas',nid,rid,nlev_cas
+      PRINT*,'OK3 nid,rid,nlev_cas',nid,rid,nlev_cas
 !.......................................................................
       ierr=nf90_inq_dimid(nid,'time',rid)
-      print*,'nid,rid',nid,rid
+      PRINT*,'nid,rid',nid,rid
       nt_cas=0
       IF (ierr/=nf90_noerr) THEN
@@ -129,5 +129,5 @@
       ENDIF
       ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-      print*,'OK4 nid,rid,nt_cas',nid,rid,nt_cas
+      PRINT*,'OK4 nid,rid,nt_cas',nid,rid,nt_cas
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -182,6 +182,6 @@
         allocate(q2_prof_cas(nlev_cas))
 
-        print*,'Allocations OK'
-        call read_cas(nid,nlev_cas,nt_cas                                       &
+        PRINT*,'Allocations OK'
+        CALL read_cas(nid,nlev_cas,nt_cas                                       &
        ,z_cas,plev_cas,t_cas,q_cas,rh_cas,th_cas,rv_cas,u_cas,v_cas         &
        ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas,dv_cas,hv_cas,vv_cas    &
@@ -189,5 +189,5 @@
        ,dth_cas,hth_cas,vth_cas,dr_cas,hr_cas,vr_cas,sens_cas,lat_cas,ts_cas&
        ,ustar_cas,uw_cas,vw_cas,q1_cas,q2_cas)
-        print*,'Read cas OK'
+        PRINT*,'Read cas OK'
 
 
@@ -254,5 +254,5 @@
 
   !=====================================================================
-      subroutine read_cas(nid,nlevel,ntime                          &
+      SUBROUTINE read_cas(nid,nlevel,ntime                          &
        ,zz,pp,temp,qv,rh,theta,rv,u,v,ug,vg,w,                   &
        du,hu,vu,dv,hv,vv,dt,dtrad,ht,vt,dq,hq,vq,                     &
@@ -800,5 +800,5 @@
 
          return
-         end subroutine read_cas
+         END SUBROUTINE  read_cas
 !======================================================================
         SUBROUTINE interp_case_time(day,day1,annee_ref                &
@@ -871,5 +871,5 @@
 
 
-        print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
+        PRINT*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
 
 ! On teste si la date du cas AMMA est correcte.
@@ -880,16 +880,16 @@
 ! Check that initial day of the simulation consistent with AMMA case:
 !      if (annee_ref.ne.2006) then
-!       print*,'Pour AMMA, annee_ref doit etre 2006'
-!       print*,'Changer annee_ref dans run.def'
+!       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
+!       PRINT*,'Changer annee_ref dans run.def'
 !       stop
 !      endif
 !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
-!       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
-!       print*,'Changer dayref dans run.def'
+!       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
+!       PRINT*,'Changer dayref dans run.def'
 !       stop
 !      endif
 !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
-!       print*,'AMMA a fini le 11 juillet'
-!       print*,'Changer dayref ou nday dans run.def'
+!       PRINT*,'AMMA a fini le 11 juillet'
+!       PRINT*,'Changer dayref ou nday dans run.def'
 !       stop
 !      endif
